Bug 168 - Delays not shown in simulator
Summary: Delays not shown in simulator
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: 3.5.7
Hardware: PC Linux
: P1 minor
Assignee: Gerd Behrmann
URL:
Depends on:
Blocks:
 
Reported: 2005-06-24 14:00 CEST by Ferdy Hanssen
Modified: 2005-12-15 23:54 CET (History)
0 users

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdy Hanssen 2005-06-24 14:00:24 CEST
When viewing a trace in the simulator and observing a state in which a delay
takes place, only the values of the clocks at the end of the delay are shown.

When you look closely, you can see that the clock ranges are drawn first (in
black), and immediately afterwards the end values are drawn over them (in blue).
Comment 1 Gerd Behrmann 2005-06-24 14:04:53 CEST
When an enabled transition is selected in the simulator, only the valuations in which the transition is 
enabled are shown. This is indicated by blue. If no transition is selected, all valuations of the zone are 
shown (in which case the variables are shown in black).

I believe this is described in the help system.
Comment 2 Ferdy Hanssen 2005-06-24 14:09:16 CEST
But when I select a state in the MSC, a transition is automatically selected in
version 3.5.7.  And I cannot unselect it.

In version 3.4.11 clicking on a state in the MSC does not select a transition,
thus showing the valuations in black (including the clock ranges).
Comment 3 Gerd Behrmann 2005-06-29 17:54:42 CEST
Ok, this is an unfortunate behaviour. I will see if we can get the old behaviour back.

BTW: You can unselect the currently selected transition by ctrl+clicking it in the list of enabled transitions.
Comment 4 Gerd Behrmann 2005-12-15 23:54:13 CET
Fixed on the trunk.